IPC Client Functions

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
IPC Client Functions
Ecore » Ecore_IPC - Inter Process Communication Library Functions

Functions that deal with IPC client objects. More...

## Functions
EAPI int | ecore_ipc_client_send (Ecore_Ipc_Client *cl, int major, int minor, int ref, int ref_to, int response, const void *data, int size)
| Sends a message to the given IPC client. More...
EAPI Ecore_Ipc_Server * | ecore_ipc_client_server_get (Ecore_Ipc_Client *cl)
| Retrieves the IPC server that the given IPC client is connected to. More...
EAPI void * | ecore_ipc_client_del (Ecore_Ipc_Client *cl)
| Closes the connection and frees memory allocated to the given IPC client. More...
EAPI void | ecore_ipc_client_data_set (Ecore_Ipc_Client *cl, const void *data)
| Sets the IPC data associated with the given IPC client to `data`. More...
EAPI void * | ecore_ipc_client_data_get (Ecore_Ipc_Client *cl)
| Retrieves the data that has been associated with the given IPC client. More...

## Detailed Description

Functions that deal with IPC client objects.

## Function Documentation

EAPI int ecore_ipc_client_send | ( | Ecore_Ipc_Client * | cl,
|  | int | major,
|  | int | minor,
|  | int | ref,
|  | int | ref_to,
|  | int | response,
|  | const void * | data,
|  | int | size
| ) |  |

Sends a message to the given IPC client.

Parameters

  cl | The given IPC client.
  major | Major opcode of the message.
  minor | Minor opcode of the message.
  ref | Reference number of the message.
  ref_to | Reference number of the message this message refers to.
  response | Requires response.
  data | The data to send as part of the message.
  size | Length of the data, in bytes, to send.

Returns
  The number of bytes sent. `0` will be returned if there is an error.

References ecore_con_client_connected_get(), and ecore_con_client_send().

EAPI Ecore_Ipc_Server* ecore_ipc_client_server_get | ( | Ecore_Ipc_Client * | cl | ) |

Retrieves the IPC server that the given IPC client is connected to.

Parameters

  cl | The given IPC client.

Returns
  The IPC server the IPC client is connected to.

EAPI void* ecore_ipc_client_del | ( | Ecore_Ipc_Client * | cl | ) |

Closes the connection and frees memory allocated to the given IPC client.

Parameters

  cl | The given client.

Returns
  Data associated with the client.

References ecore_con_client_del(), and eina_list_remove().

Referenced by ecore_ipc_server_del().

EAPI void ecore_ipc_client_data_set | ( | Ecore_Ipc_Client * | cl,
|  | const void * | data
| ) |  |

Sets the IPC data associated with the given IPC client to `data`.

Parameters

  cl | The given IPC client.
  data | The data to associate with the IPC client.

EAPI void* ecore_ipc_client_data_get | ( | Ecore_Ipc_Client * | cl | ) |

Retrieves the data that has been associated with the given IPC client.

Parameters

  cl | The given client.

Returns
  The data associated with the IPC client.